Skip to Content.
Sympa Menu

notify-dpml - svn commit: r1943 - development/main

notify-dpml AT lists.ibiblio.org

Subject: DPML Notify

List archive

Chronological Thread  
  • From: niclas AT netcompartner.com
  • To: notify-dpml AT lists.ibiblio.org
  • Subject: svn commit: r1943 - development/main
  • Date: Fri, 04 Mar 2005 09:27:20 +0100

Author: niclas
Date: Fri Mar 4 09:27:19 2005
New Revision: 1943

Added:
development/main/build.sh (contents, props changed)
Log:
Added a shell script equivalent of the build.bat file.

Added: development/main/build.sh
==============================================================================
--- (empty file)
+++ development/main/build.sh Fri Mar 4 09:27:19 2005
@@ -0,0 +1,130 @@
+#!/bin/sh
+#
+# Utility script used when building a release. The script is typically used
+# as follows:
+#
+# $ build all 1234
+#
+# where the first argument is product group and the second (optional)
argument is the
+# build revision identifier. Allowable product group names include:
+#
+# all builds transit, util, magic, metro and central
+# main builds transit, util, magic and metro
+# transit build transit and util
+# magic build magic
+# metro build metro
+
+
+build()
+{
+ if [ -n "$ID" ] ; then
+ BUILD_ID="-Ddpml.release.signature=$ID"
+ else
+ BUILD_ID=""
+ fi
+ echo "building project with release ID [%ID%]"
+ ant $BUILD_ID "$@"
+}
+
+transit()
+{
+ cd transit
+ build clean install
+ cd -
+}
+
+magic()
+{
+ cd magic
+ build clean install
+ cd -
+}
+
+metro()
+{
+ cd metro
+ build clean install
+ cd -
+}
+
+central()
+{
+ cd central
+ build clean install
+ cd -
+}
+
+site()
+{
+ cd central/site
+ build clean install
+ cd -
+}
+
+planet()
+{
+ cd planet
+ build install
+ cd -
+}
+
+
+ID=$2
+TARGET=$1
+
+if [ "$TARGET" == "help" ] ; then
+ echo "Build one or more of the DPML products:"
+ echo " build [product] [revision]"
+ echo " [product] product name"
+ echo " transit -- build the transit distribution"
+ echo " magic -- build the magic distribution"
+ echo " metro -- build the metro distribution"
+ echo " planet -- build the planet facilities"
+ echo " main -- build transit, magic and metro distributions"
+ echo " all -- builds transit, magic, metro, central
distributions"
+ echo " [revision] optional build revision identified used when"
+ echo " building number releases."
+ exit 1
+fi
+
+if [ "$TARGET" == "" ] ; then
+ TARGET=main
+fi
+
+if [ "$TARGET" == "main" ] ; then
+ transit
+ magic
+ metro
+fi
+
+if [ "$TARGET" == "transit" ] ; then
+ transit
+fi
+
+if [ "$TARGET" == "magic" ] ; then
+ magic
+fi
+
+if [ "$TARGET" == "metro" ] ; then
+ metro
+fi
+
+if [ "$TARGET" == "central" ] ; then
+ central
+fi
+
+if [ "$TARGET" == "planet" ] ; then
+ planet
+fi
+
+if [ "$TARGET" == "site" ] ; then
+ site
+fi
+
+if [ "$TARGET" == "all" ] ; then
+ transit
+ magic
+ metro
+ planet
+ central
+fi



  • svn commit: r1943 - development/main, niclas, 03/04/2005

Archive powered by MHonArc 2.6.24.

Top of Page